%define	name	libgssapi
%define	version	0.1
%define	release	2mdk

%define	major	1
%define libname	%mklibname gssapi %{major}

Summary:	A mechanism-switch gssapi library
Name:		%{libname}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		System/Libraries
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
Source0:	http://www.citi.umich.edu/projects/nfsv4/linux/libgssapi/libgssapi-%{version}.tar.bz2
Source1:	gssapi_mech.conf.bz2
Patch0:		libgssapi-0.1-portable.diff.bz2
BuildRequires:	krb5-devel >= 1.3
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libgssapi provides a gssapi interface, but does not implement any
gssapi mechanisms itself; instead it calls other gssapi functions
(e.g., those provided by MIT Kerberos), depending on the requested
mechanism, to do the work.

%package	devel
Summary:	Static library and header files for the libgssapi library
Group:		Development/C
Requires:	%{name} = %{version}
Provides:	libgssapi-devel gssapi-devel

%description -n	%{libname}-devel
libgssapi provides a gssapi interface, but does not implement any
gssapi mechanisms itself; instead it calls other gssapi functions
(e.g., those provided by MIT Kerberos), depending on the requested
mechanism, to do the work.

This package contains the static libgssapi library and its
header files.

%prep

%setup -q -n libgssapi-%{version}
%patch0 -p0

bzcat %{SOURCE1} > gssapi_mech.conf

# lib64 fix
perl -pi -e "s|/usr/lib|%{_libdir}|g" gssapi_mech.conf

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
touch depcomp
libtoolize --copy --force && aclocal-1.7 && autoconf && automake-1.7 --gnu --include-deps Makefile

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_includedir}/libgssapi

%makeinstall_std

install -m0644 gssapi_mech.conf %{buildroot}%{_sysconfdir}/gssapi_mech.conf
install -m0644 include/gssapi/gssapi.h %{buildroot}%{_includedir}/libgssapi/

%if %mdkversion >= 1020
%multiarch_includes %{buildroot}%{_includedir}/libgssapi/gssapi.h
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%config(noreplace) %{_sysconfdir}/gssapi_mech.conf
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%defattr(-,root,root)
%if %mdkversion >= 1020
%multiarch %{multiarch_includedir}/libgssapi/gssapi.h
%endif
%{_includedir}/libgssapi/gssapi.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1-2mdk
- fix deps and conditional %%multiarch
- fix #14825 

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1-1mdk
- initial mandrake package
